# Installs and starts the Bosch Uplink Connector. 
# Tries to uninstall the existing instances of the service first.
# Take executable and config.toml file next to this script

$ServiceName = 'Bosch Uplink Connector'

$exe = Get-ChildItem *.exe

if (!$exe.Exists){
    Write-Output "No Exe file found in current directory"
    exit 1
}

Write-Output "Install exe " $exe.FullName

Stop-Service $ServiceName -erroraction 'silentlycontinue'
# Remove service is not available for ps < 6 :(
# https://stackoverflow.com/questions/4967496/check-if-a-windows-service-exists-and-delete-in-powershell
# Remove-Service $ServiceName -erroraction 'silentlycontinue'
sc.exe delete $ServiceName

New-Service -ServiceName $ServiceName -BinaryPathName $exe.FullName -StartupType Manual

sc.exe start $ServiceName
